package org.gcube.portlets.user.geoportaldataentry.client.ui.tree;

import com.google.gwt.user.client.ui.Tree;
import com.google.gwt.user.client.ui.TreeItem;

public class TreeItemPanel {

	private Tree tree = new Tree();

	public TreeItemPanel(String projectType) {
		TreeItem root = new TreeItem();
		root.setHTML(projectType);

		TreeItem child1 = addChild(root, "Item 1");
		TreeItem child2 = addChild(root, "Item 2");
		TreeItem child3 = addChild(root, "Item 2");

		TreeItem child1_1 = addChild(child1, "Item 1.1");
		TreeItem child2_1 = addChild(child2, "Item 2.1");

		tree.addItem(root);
	}
	// Create a tree with a few items in it.

	public TreeItem addChild(TreeItem parent, String childName) {
		TreeItem child = new TreeItem(new NodeItem(parent, childName, 0, 5));
		parent.addItem(child);
		return child;
	}

	public Tree getTree() {
		return tree;
	}

}
